Subject: bug#19582: 25.0.50; [PATCH] Calc: glitches with negation of units

From: Jay Belanger <[email-masked]>
Date: Wed, 28 Jan 2015 09:11:40 -0600

> So the issue seems to be this:
>
> In emacs -Q, do `M-x calc' then convert, say 1m, to cm, i.e.,
>
> ' 1 m <return> u c c m <return>
>
> This gives `100 cm' on top of the stack (a plain integer scalar).
>
> Next, start another emacs -Q instance, do `M-x calc' and then, before
> anything else, `M-: (load-library "calc-units")'.
>
> Now the same conversion exercise as before gives `100. cm' on the stack
> instead (a calc float).

This is easy enough to fix, but loading error occurs when the libraries
are loaded out of order; that shouldn't be done.
When Calc is used properly, getting `100. m' instead of `100 m' would be a
bug.